# What's New in v3?

## SQL Server Support

You can now persist jobs, identities and app tokens in a SQL server database to allow for multi-node instances that provide high availability and load balancing.&#x20;

## Improved Editing Experience&#x20;

Features such as live logging and advanced dashboard and repository editors of the admin console have been added to make editing scripts in PowerShell Universal easier to develop and debug.&#x20;

## Desktop Features

PowerShell Universal Desktop now offers integrations like file associations, hot keys, system events and custom protocols to trigger scripts when certain things happen on your system.&#x20;

## Translations&#x20;

A built in translation provider is available in your dashboards, scripts, and APIs to provide the proper language when returning data back to your end users.&#x20;

## New Dashboard Components

New dashboard components such as the data grid, stack, badge, timeline and schema form allow you to bring even more functionality to your user interfaces.&#x20;


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.powershelluniversal.com/v3/whats-new-in-v3.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
